%global commit 7566552db130c2f2a3f5b43c4eab1d78fc4f3c4d
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           rospack
Version:        2.0.14
Release:        1%{?dist}
Summary:        ROS package and stack tools

License:        BSD
URL:            http://www.ros.org/wiki/rospack
Source0:        https://github.com/ros/%{name}/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz
# Unbundle tinyxml and install libraries to lib${LIB_SUFFIX}.  Not submitted upstream
Patch0:         %{name}-2.0.14-tinyxml.patch
# Set library version and soversion to 0. Not submitted upstream
Patch1:         %{name}-2.0.13-soname.patch

BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:  gtest
BuildRequires:  boost-devel
BuildRequires:  ros-catkin-devel
BuildRequires:  texlive-epstopdf-bin
BuildRequires:  tinyxml-devel

%description
rospack is a command-line tool for retrieving information about ROS packages 
available on the file system. It implements a wide variety of commands 
ranging from locating ROS packages in the file system, to listing available 
stacks, to calculating the dependency tree of stacks.

%package devel
Requires: %{name}%{?_isa} = %{version}-%{release}
Summary:  Development files for %{name}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -qn %{name}-%{commit}
rm -r tinyxml-2.5.3
%patch0 -p0 -b .tinyxml
%patch1 -p0 -b .soname
%build
mkdir build
pushd build
%cmake -DSETUPTOOLS_DEB_LAYOUT=OFF ..
popd
doxygen Doxyfile

%install
make -C build install DESTDIR=%{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%{_bindir}/*
%{_libdir}/*.so.*
%{_datadir}/%{name}/stack.xml
%{_datadir}/%{name}/manifest.xml

%files devel
%doc doxygen_output/html
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_datadir}/%{name}/cmake

%changelog
* Sun Aug 25 2013 Rich Mattes <richmattes@gmail.com> - 2.0.14-1
- Update to release 2.0.14

* Sun Jul 21 2013 Rich Mattes <richmattes@gmail.com> - 2.0.13-4.20130605git671c3cb
- Added patch to set soversion to 0

* Wed Jun 05 2013 Rich Mattes <richmattes@gmail.com> - 2.0.13-3.20130605git671c3cb
- Change upstream to match github guidelines

* Mon Mar 25 2013 Rich Mattes <richmattes@gmail.com> - 2.0.13-2.git671c3cb
- Update to not provide ros-fuerte-rospack
- Unbundle tinyxml
- Include doxygen html docs in devel package

* Sun Jan 13 2013 Rich Mattes <richmattes@gmail.com> - 2.0.13-1.git671c3cb
- Initial fuerte release

